http://bugs.gentoo.org/328701
http://cvs.fedoraproject.org/viewvc/rpms/bacula/devel/bacula-5.0.2-openssl.patch?revision=1.3&view=markup

--- src/lib/crypto.c
+++ src/lib/crypto.c
@@ -51,7 +51,7 @@
  * For OpenSSL version 1.x, EVP_PKEY_encrypt no longer
  *  exists.  It was not an official API.
  */
-#ifdef HAVE_OPENSSLv1
+#if (OPENSSL_VERSION_NUMBER >= 0x10000000L)
 #define EVP_PKEY_encrypt EVP_PKEY_encrypt_old
 #define EVP_PKEY_decrypt EVP_PKEY_decrypt_old
 #endif
--- src/lib/tls.c
+++ src/lib/tls.c
@@ -315,7 +315,7 @@ bool tls_postconnect_verify_host(JCR *jc
          extname = OBJ_nid2sn(OBJ_obj2nid(X509_EXTENSION_get_object(ext)));
 
          if (strcmp(extname, "subjectAltName") == 0) {
-#ifdef HAVE_OPENSSLv1
+#if (OPENSSL_VERSION_NUMBER >= 0x10000000L)
             const X509V3_EXT_METHOD *method;
 #else
             X509V3_EXT_METHOD *method;
